frr version 8.5.1
frr defaults datacenter
hostname spine01
no zebra nexthop kernel enable
service integrated-vtysh-config
!
router bgp 65199
 bgp router-id 10.0.0.101
 bgp bestpath as-path multipath-relax
 neighbor underlay peer-group
 neighbor 172.16.1.1 remote-as 65101
 neighbor 172.16.1.1 peer-group underlay
 neighbor 172.16.1.1 description leaf01
 neighbor 172.16.1.3 remote-as 65102
 neighbor 172.16.1.3 peer-group underlay
 neighbor 172.16.1.3 description leaf02
 neighbor 172.16.1.5 remote-as 65103
 neighbor 172.16.1.5 peer-group underlay
 neighbor 172.16.1.5 description leaf03
 !
 address-family ipv4 unicast
  network 10.0.0.101/32
  maximum-paths 64
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
 exit-address-family
exit
!
route-map RM_SET_SRC permit 10
 set src 10.0.0.101
exit
!
ip protocol bgp route-map RM_SET_SRC
!